﻿.tool_tip
{
	position: absolute;
	left: 0;
	top: 0;
	display: none;
  overflow:hidden;
  border: solid  #555 1px;
  padding: 7px 10px;
  z-index: 9999;
  white-space:nowrap;
  font-size: 8pt;
  box-shadow: 3px 3px 3px rgba(102, 102, 102, 0.55);
  line-height: 16px;
  background-color: #2b2b2b;
  opacity: .9;
  color: #FFF;
}

.tool_tip table
{
	border-spacing: 0;
    border-collapse: collapse;
    padding: 1px 5px 1px 5px;
	max-width: 100vw;
}

.tool_tip td
{
  padding: 0 5px 0 0;
}

.tool_tip.invert {
  background-color: #2b2b2b;
  opacity: .9;
  color: #FFF;
}


.matrixGrid
{
  border-spacing: 0;
  border-collapse: collapse;
  table-layout:fixed; 
  /*background-color: #333;*/
  background-color: #222;
  color: #FFF;
	
}

.matrixGrid td a
{
  cursor: pointer;
  color: #fff;
}

div.matrixGrid.header
{
	position: absolute;
	left: 0;
	right: 0;
	top: 0;
}

div.matrixGrid.content
{
  overflow-y:auto;
  overflow-x:hidden;
	position: absolute;
	left: 0;
	bottom: 0;
	right: 0;
	top: 26px;
}

.matrixGrid a:hover, .matrixGrid a:active, .matrixGrid tr.selected td a, .matrixGrid tr.selected td
{
  text-decoration: none;
  color: #0098C0;
}


.matrixGrid th
{
  font-weight: normal;
	padding: 5px 10px 5px 5px;
  margin: 0;
  text-align: left;
  color:#ddd;
  background-color: #444;
  background-repeat:no-repeat;
  background-position:center right;
  white-space: nowrap;
}

.matrixGrid th.sortable:hover
{
	background-color: #0098C0;
	color: Black;
  cursor:pointer;
}

.matrixGrid th.sortable.desc
{
  background-image: url(../Images/desc.png?v=1);
	padding-right: 15px;
}

.matrixGrid th.sortable.asc
{
  background-image: url(../Images/asc.png?v=1);
	padding-right: 15px;
}

.matrixGrid th.button
{ 
  padding: 0 5px 0 0;
  vertical-align:middle;
  text-align:center;
}

.matrixGrid th.button:hover
{ 
  background-color: #0098C0;
  cursor: pointer;
}

.matrixGrid tr td
{
  vertical-align: middle;
	padding: 5px 10px 5px 5px;
  margin: 0;
  overflow:hidden;
}

.matrixGrid tr.hover td
{
  /*color: #0098C0;*/
	background-color: #444;
}

.matrixGrid.autohover tr:hover td
{
  /*color: #0098C0;*/
  background-color: #444;
}

.matrixGrid tr.even:hover
{
	background-color: #444;
}

.matrixGrid tr.rowSelect:hover
{
	cursor:pointer;
}


.matrixGrid td.highlighted
{
  color: #ff0000;
} 

.matrixGrid tr td:first-child, .matrixGrid tr th:first-child
{
  border-left: none;
}

.matrixGrid tr.even
{
  background-color: #2b2b2b;
}

.matrixGrid.striped tr:nth-child(even)
{
  background-color: #2b2b2b;
}

.matrixGrid tr.selected td
{
  background: #5d5d5d;
}

.matrixGrid tr td input[type='button']
{
	width: 100%;
}

.printable
{
	font-size: 10pt;
	font-family: Verdana;
	border-collapse: collapse;
	border-spacing: 0;
}


.printable td.highlighted
{
  color: #ff0000;
}

.printable tr td
{
  background-color: #EEE;
  padding: 5px 5px 5px 5px;

}

.printable tr.even td
{
  background-color: #BBB;
}

.printable th
{
	font-weight: bold;
  background-color: Gray;
  text-align: left;
  padding: 5px 5px 5px 5px;
}

/* Remove paddings in the first and last columns of a table inside a widget */
/*.widget-body table tr td:first-child {
    padding-left: 0;
}*/

.widget-body table tr td:last-child {
    padding-right: 0;
}
.widget-body.dashletContent {
    box-sizing: border-box;
}

